import { css } from '@microsoft/fast-element';
export const foundationStepperTabStyles = (context, definition) => css `
  .tree-item {
    cursor: default;
  }

  .tree-item::part(content-region) {
    margin-inline-start: 0;
  }

  .tree-item[selected]::part(positioning-region):hover {
    background: var(--neutral-fill-rest);
  }

  .tree-item::part(positioning-region):hover {
    background: var(--neutral-fill-stealth-rest);
  }

  .stepper-icon {
    margin-right: 5px;
  }

  .completed-icon {
    color: #69cd70;
  }

  .error-icon {
    color: #f14376;
  }

  .step-number {
    display: flex;
    justify-content: center;
    align-items: center;
    margin: 0 5px 0 0;
    width: 24px;
    height: 24px;
    font-size: var(--type-ramp-minus-1-font-size);
    font-weight: 500;
    color: var(--focus-stroke-outer);
    background-color: var(--neutral-fill-input-rest);
    border-radius: 50%;
    border: calc(var(--stroke-width) * 1px) solid var(--neutral-fill-input-rest);
  }

  .step-number-container {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
    width: 75%;
  }

  .angle-icon {
    color: var(--neutral-fill-input-rest);
    margin: 0 calc(var(--design-unit) * 4px);
  }

  .step-title {
    font-size: var(--type-ramp-base-font-size);
    color: var(--focus-stroke-outer);
    font-weight: 600;
  }

  :host([completed]) .step-number {
    border-color: #69cd70;
    color: white;
    background-color: #69cd70;
  }

  :host([completed]) .step-title {
    color: #69cd70;
  }

  :host([error]) .step-number {
    border-color: #f14376;
    color: white;
    background-color: #f14376;
  }

  :host([error]) .step-title {
    color: #f14376;
  }

  :host([orientation='horizontal']) {
    flex: 1 1 0;
    height: 100%;
  }

  .cursor-pointer {
    cursor: pointer;
  }

  .step-container {
    position: relative;
    display: flex;
    align-items: center;
    justify-content: space-between;
    height: 100%;
  }

  .step-container.selected::after {
    content: '';
    position: absolute;
    bottom: 0;
    left: calc(var(--design-unit) * -3px); /* This matches the left padding */
    right: 28px; /* This matches the icon width + right margin */
    height: 2px;
    width: calc(100% - 28px);
    background-color: var(--accent-fill-rest); /* Choose a color */
  }
`;
